Skip to main content
POST
/
api
/
v3
/
alibaba
/
wan-2.2
/
animate
wan-2.2-animate (video to video)
curl --request POST \
  --url https://api.example.com/api/v3/alibaba/wan-2.2/animate
import requests

url = "https://api.example.com/api/v3/alibaba/wan-2.2/animate"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/api/v3/alibaba/wan-2.2/animate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Qwen’s GPTProto format for the video to video API.
curl --location 'https://gptproto.com/api/v3/alibaba/wan-2.2/animate' \
--header 'Authorization: sk-**' \
--header 'Content-Type: application/json' \
--data '{
  "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
  "mode": "animate",
  "prompt": "",
  "resolution": "480p",
  "seed": -1,
  "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
}'
import requests
import json

url = "https://gptproto.com/api/v3/alibaba/wan-2.2/animate"
headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
}

data = {
  "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
  "mode": "animate",
  "prompt": "",
  "resolution": "480p",
  "seed": -1,
  "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
}

response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/api/v3/alibaba/wan-2.2/animate";
const headers = {
  "Authorization": "YOUR_API_KEY",
  "Content-Type": "application/json"
};

const data = {
  "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
  "mode": "animate",
  "prompt": "",
  "resolution": "480p",
  "seed": -1,
  "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://gptproto.com/api/v3/alibaba/wan-2.2/animate"

    payload := []byte(`{
  "image": "https://q4.itc.cn/images01/20240320/32e68d20e9f04a9994c7cb3d1ae708cf.jpeg",
  "mode": "animate",
  "prompt": "",
  "resolution": "480p",
  "seed": -1,
  "video": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250704/sclfum/2.mp4"
}`)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
{
  "error": {
    "message": "Invalid signature",
    "type": "401"
  }
}
{
  "error": {
    "message": "Insufficient balance",
    "type": "403"
  }
}
{
  "error": {
    "message": "Internal server error",
    "type": "500"
  }
}
{
  "error": {
    "message": "Input may not meet the guidelines. Please adjust and try again.",
    "type": "503"
  }
}

Parameters

ParameterTypeRequiredDefaultDescription
imagestring❌ No-The image for generating the output.
videostring❌ No-The video for generating the output.
promptstring❌ No-The positive prompt for the generation.
modestring❌ Noanimateanimate, replace .The mode of the generation. Animate Mode: animate the character in input image with movements from the input video. Replace Mode: replace the character in input video with the character in input image.
resolutionstring❌ No-1480p, 720p . The resolution of the output video.
seedinteger❌ No720p-1 ~ 2147483647 . The random seed to use for the generation. -1 means a random seed will be used.